# Product Financial Configs Product Financial Configs ## Gets all of the product financial configs in the system. - [GET /productFinancialConfigs/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/listproductfinancialconfigs.md): This method will scan all product financial configs and and return them to the caller. ## Creates a new product financial config record that does not already exist. - [POST /productFinancialConfigs/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/createproductfinancialconfig.md): This method will auto-generate an ID and create a new product financial config. If an ID is specified for the product financial config, an error will be thrown. ## Execute Batch Operations - [POST /productFinancialConfigs/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a product financial configs from the system by its product type/ID. - [GET /productFinancialConfigs/{tenantId}/product/{productType}/{productId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/getproductfinancialconfigsbyproductid.md): This method will look up a product financial configs by the specified ID and return it back. ## Returns a product financial config from the system by its ID. - [DELETE /productFinancialConfigs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/deleteproductfinancialconfig.md): This method will delete a product financial config with the specified ID. ## Returns a product financial config from the system by its ID. - [GET /productFinancialConfigs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/getproductfinancialconfig.md): This method will look up a product financial config by the specified ID and return it back. ## Partially updates a product financial config with the specified ID. - [PATCH /productFinancialConfigs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/patchproductfinancialconfig.md): This method will patch an existing product financial config with the specified ID, using the HTTP PATCH specification. ## Updates a product financial config with the specified ID. - [PUT /productFinancialConfigs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/updateproductfinancialconfig.md): This method will update an existing product financial config with the specified ID.